from django.contrib import admin
from core import models

# Register your models here.

from django.contrib import admin
from django.contrib.auth.models import User
from .models import Profile

# Register the Profile model in the admin
admin.site.register(Profile)

# Customize the User Admin to display profile fields
class UserAdmin(admin.ModelAdmin):
    list_display = ('username', 'email', 'first_name', 'last_name', 'is_staff', 'is_active')
    list_filter = ('is_staff', 'is_active')
    search_fields = ('username', 'email')

admin.site.unregister(User)  # Unregister the default User model
admin.site.register(User, UserAdmin)  # Re-register with customization
